From 122a9bc37bb9e095665e3b44095f0394983a647a Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Thu, 2 Feb 2023 23:02:35 +0100
Subject: [PATCH 6/8] Remove useless casts to (void *) (memcmp)

---
 contrib/citext/citext.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/contrib/citext/citext.c b/contrib/citext/citext.c
index 976c578e1c..26af935a70 100644
--- a/contrib/citext/citext.c
+++ b/contrib/citext/citext.c
@@ -80,7 +80,7 @@ internal_citext_pattern_cmp(text *left, text *right, Oid collid)
 	llen = strlen(lcstr);
 	rlen = strlen(rcstr);
 
-	result = memcmp((void *) lcstr, (void *) rcstr, Min(llen, rlen));
+	result = memcmp(lcstr, rcstr, Min(llen, rlen));
 	if (result == 0)
 	{
 		if (llen < rlen)
-- 
2.39.1

